document.addEventListener('DOMContentLoaded', () => {
  const wheel = document.querySelector('.wheel');
  const spinButton = document.getElementById('spinButton');
  const result = document.getElementById('result');
  let spinning = false;

  const prizes = [
    { name: "First Prize", probability: 0.05 },
    { name: "Second Prize", probability: 0.10 },
    { name: "Third Prize", probability: 0.20 },
    { name: "Consolation Prize", probability: 0.65 }
  ];

  function getRandomPrize() {
    const random = Math.random();
    let cumulativeProbability = 0;
    
    for (const prize of prizes) {
      cumulativeProbability += prize.probability;
      if (random < cumulativeProbability) {
        return prize.name;
      }
    }
    return prizes[prizes.length - 1].name;
  }

  function getRotationDegrees(prize) {
    const baseRotation = Math.random() * 360;
    const fullSpins = 5 * 360; // 5 full rotations
    let prizeDegree;
    
    switch(prize) {
      case "First Prize": prizeDegree = 0; break;
      case "Second Prize": prizeDegree = [45, 270][Math.floor(Math.random() * 2)]; break;
      case "Third Prize": prizeDegree = [90, 180][Math.floor(Math.random() * 2)]; break;
      default: prizeDegree = [135, 225, 315][Math.floor(Math.random() * 3)];
    }
    
    return fullSpins + prizeDegree + baseRotation;
  }

  spinButton.addEventListener('click', () => {
    if (spinning) return;
    
    spinning = true;
    spinButton.disabled = true;
    result.textContent = "";
    
    const prize = getRandomPrize();
    const rotation = getRotationDegrees(prize);
    
    wheel.style.transform = `rotate(${rotation}deg)`;
    
    setTimeout(() => {
      result.textContent = `Congratulations! You won: ${prize}!`;
      spinning = false;
      spinButton.disabled = false;
    }, 4000);
  });
});